gii_pbutton_event(3)

NAME
gii_pbutton_event : LibGII pointer button events

SYNOPSIS
#include <ggi/events.h>
typedef struct gii_pbutton_event {
    COMMON_DATA;
    uint32_t  button;
} gii_pbutton_event;

DESCRIPTION
Button events are sent to report a change in pointer button state. Depending on the event type, the button is either being pressed or released.

GENERATED EVENTS
This structure is used for evPtrButtonPress and evPtrButtonRelease events.

STRUCTURE MEMBERS
gii_pbutton_event simply specifies that the button is pressed or released. Pointer buttons are specified in order of common usage, with 1 being the primary button. The following values are defined:

•   GII_PBUTTON_LEFT, GII_PBUTTON_PRIMARY, GGI_PBUTTON_FIRST equal 1.

•   GII_PBUTTON_RIGHT, GII_PBUTTON_SECONDARY, GGI_PBUTTON_SECOND equal 2.

•   GII_PBUTTON_MIDDLE, GII_PBUTTON_TERTIARY, GGI_PBUTTON_THIRD equal 3.

Of course, applications should avoid hardcoding mouse button values.

SEE ALSO
gii_event(3)